-- See: https://github.com/nvim-telescope/telescope.nvim
local telescope = require("telescope")

telescope.setup(@telescopeSettings@)

vim.keymap.set("n", "<leader>ff", "<Cmd>Telescope find_files hidden=true<CR>")
vim.keymap.set("n", "<leader>fb", "<Cmd>Telescope buffers<CR>")
vim.keymap.set("n", "<leader>fh", "<Cmd>Telescope help_tags<CR>")

-- required telescope-live-grep-args-nvim plugin
vim.keymap.set("n", "<leader>fg", function()
	telescope.extensions.live_grep_args.live_grep_args()
end)
