vim.g.neoformat_try_node_exe = 1
vim.g.neoformat_only_msg_on_error = 1
vim.g.neoformat_enabled_markdown = { "denofmt" }
vim.g.neoformat_rust_rustfmt = {
	exe = "rustfmt",
	args = { "--edition 2021" },
	stdin = 1,
}

vim.cmd([[
aug fmt
  au!
  au BufWritePre * try | undojoin | Neoformat | catch /E790/ | Neoformat | endtry
aug END
]])
