{ lib
, nvim-treesitter
, grammarFileTypes
, ...
}:


let
  inherit (builtins) readFile;

  nvimTreesitterWithGrammars = nvim-treesitter.withPlugins
    (plugins: map (ft: plugins.${ft}) grammarFileTypes);

in
{
  luaConfig = readFile ./treesitter.lua;

  plugins = [
    nvimTreesitterWithGrammars
  ];
}
